# Full Functions List

{% hint style="info" %}
Functions available in the account-less mode are marked with `[*]`
{% endhint %}

## Initializing and Сonfiguring

* [create](/implementation/client-library-sdk/configuration/initializing-the-client.md)
* [login](/implementation/client-library-sdk/configuration/attaching-a-user-account.md#login)
* [logout](/implementation/client-library-sdk/configuration/attaching-a-user-account.md#logout)
* \[\*] [currentPool](/implementation/client-library-sdk/configuration/switching-between-pools.md#getting-the-current-pool)
* \[\*] [availabePools](/implementation/client-library-sdk/configuration/switching-between-pools.md#getting-available-pools)
* [switchToPool](/implementation/client-library-sdk/configuration/switching-between-pools.md#switching-to-another-pool)
* [hasAccount](/implementation/client-library-sdk/configuration/attaching-a-user-account.md#is-account-attached)
* \[\*] [getProverMode](/implementation/client-library-sdk/account-less-mode-operations/using-the-delegated-prover.md#getting-current-prover-mode)
* \[\*] [setProverMode](/implementation/client-library-sdk/account-less-mode-operations/using-the-delegated-prover.md#setting-prover-mode)

## Balances and History

* [getTotalBalance](/implementation/client-library-sdk/full-mode-operations/balances-and-history.md#getting-the-account-balance)
* [getBalances](/implementation/client-library-sdk/full-mode-operations/balances-and-history.md#getting-the-balance-components)
* [getOptimisticTotalBalance](/implementation/client-library-sdk/full-mode-operations/balances-and-history.md#getting-the-balance-considering-pending-transactions)
* [giftCardBalance](/implementation/client-library-sdk/full-mode-operations/gift-cards-maintenance.md#getting-gift-card-actual-balance)
* [getAllHistory](/implementation/client-library-sdk/full-mode-operations/balances-and-history.md#getting-the-transaction-history)
* [getPendingDDs](/implementation/client-library-sdk/full-mode-operations/direct-deposits.md#getting-pending-direct-deposits)
* [getComplianceReport](/implementation/client-library-sdk/full-mode-operations/balances-and-history.md#getting-the-compliance-report)

## Addresses

* [generateAddress](/implementation/client-library-sdk/full-mode-operations/shielded-addresses.md#generating-shielded-address)
* [generateUniversalAddress](/implementation/client-library-sdk/full-mode-operations/shielded-addresses.md#generating-universal-shielded-address)
* [generateAddressForSeed](/implementation/client-library-sdk/full-mode-operations/shielded-addresses.md#generating-shielded-address-for-another-account)
* [verifyShieldedAddress](/implementation/client-library-sdk/full-mode-operations/shielded-addresses.md#shielded-address-verification)
* [isMyAddress](/implementation/client-library-sdk/full-mode-operations/shielded-addresses.md#checking-if-a-shielded-address-belongs-to-the-account)
* [addressInfo](/implementation/client-library-sdk/full-mode-operations/shielded-addresses.md#decomposing-shielded-address-into-components)

## Transactions

* [deposit](/implementation/client-library-sdk/full-mode-operations/sending-transactions.md#depositing-funds)
* [depositEphemeral](/implementation/client-library-sdk/full-mode-operations/ephemeral-deposits.md#sending-ephemeral-deposits)
* [directDeposit](/implementation/client-library-sdk/full-mode-operations/direct-deposits.md#sending-direct-deposit)
* [transferMulti](/implementation/client-library-sdk/full-mode-operations/sending-transactions.md#transfer-funds-inside-a-pool)
* [withdrawMulti](/implementation/client-library-sdk/full-mode-operations/sending-transactions.md#withdraw-funds-from-the-pool)
* [redeemGiftCard](/implementation/client-library-sdk/full-mode-operations/gift-cards-maintenance.md#gift-card-redemption)
* [waitJobsTxHashes](/implementation/client-library-sdk/full-mode-operations/transaction-maintenance.md#waiting-transactions-send-to-the-pool)
* [waitJobTxHash](/implementation/client-library-sdk/full-mode-operations/transaction-maintenance.md#waiting-transactions-send-to-the-pool)
* [isReadyToTransact](/implementation/client-library-sdk/full-mode-operations/account-state.md#checking-sending-transaction-ability)
* [waitReadyToTransact](/implementation/client-library-sdk/full-mode-operations/account-state.md#waiting-for-sending-transaction-ability)

## Preparing Transactions

* \[\*] [getRelayerFee](/implementation/client-library-sdk/account-less-mode-operations/transaction-fees.md#getting-relayer-raw-fee)
* \[\*] [atomicTxFee](/implementation/client-library-sdk/account-less-mode-operations/transaction-fees.md#estimating-transaction-typical-fee)
* [feeEstimate](/implementation/client-library-sdk/full-mode-operations/fee-estimations.md#estimating-transaction-fee)
* [directDepositFee](/implementation/client-library-sdk/full-mode-operations/direct-deposits.md#getting-direct-deposit-fee)
* \[\*] [maxSupportedTokenSwap](/implementation/client-library-sdk/account-less-mode-operations/transaction-constraints.md#maximum-supported-token-swap-during-withdraw)
* \[\*] [minTxAmount](/implementation/client-library-sdk/account-less-mode-operations/transaction-constraints.md#minimum-transaction-amount)
* [calcMaxAvailableTransfer](/implementation/client-library-sdk/full-mode-operations/transaction-configuration.md#getting-maximum-available-outgoing-transaction)
* [getTransactionParts](/implementation/client-library-sdk/full-mode-operations/transaction-configuration.md#getting-transaction-parts)
* \[\*] [getLimits](/implementation/client-library-sdk/account-less-mode-operations/transaction-constraints.md#getting-pool-limits)

## Ephemeral Addresses

* [getEphemeralAddress](/implementation/client-library-sdk/full-mode-operations/ephemeral-deposits.md#getting-ephemeral-address-at-index)
* [getNonusedEphemeralIndex](/implementation/client-library-sdk/full-mode-operations/ephemeral-deposits.md#getting-the-first-non-used-ephemeral-address-index)
* [getUsedEphemeralAddresses](/implementation/client-library-sdk/full-mode-operations/ephemeral-deposits.md#getting-all-used-ephemeral-addresses)
* [getEphemeralAddressInTxCount](/implementation/client-library-sdk/full-mode-operations/ephemeral-deposits.md#retrieving-number-of-token-transfers-to-the-address)
* [getEphemeralAddressOutTxCount](/implementation/client-library-sdk/full-mode-operations/ephemeral-deposits.md#retrieving-number-of-token-transfers-from-the-address)
* [getEphemeralAddressPrivateKey](/implementation/client-library-sdk/full-mode-operations/ephemeral-deposits.md#getting-the-ephemeral-address-private-key)

## Forced Exit

* [isAccountDead](/implementation/client-library-sdk/full-mode-operations/forced-exit.md#checking-if-account-destroyed)
* [isForcedExitSupported](/implementation/client-library-sdk/full-mode-operations/forced-exit.md#checking-if-emergency-exit-is-supported-by-current-pool)
* [forcedExitState](/implementation/client-library-sdk/full-mode-operations/forced-exit.md#getting-forced-exit-state-for-account)
* [activeForcedExit](/implementation/client-library-sdk/full-mode-operations/forced-exit.md#getting-committed-forced-exit-details)
* [executedForcedExit](/implementation/client-library-sdk/full-mode-operations/forced-exit.md#getting-completed-forced-exit-details)
* [availableFundsToForcedExit](/implementation/client-library-sdk/full-mode-operations/forced-exit.md#checking-funds-available-for-forced-exit)
* [requestForcedExit](/implementation/client-library-sdk/full-mode-operations/forced-exit.md#making-commit-forced-exit)
* [executeForcedExit](/implementation/client-library-sdk/full-mode-operations/forced-exit.md#executing-forced-exit)
* [cancelForcedExit](/implementation/client-library-sdk/full-mode-operations/forced-exit.md#cancelling-forced-exit)

## Misc

* \[\*] [shieldedAmountToWei](/implementation/client-library-sdk/account-less-mode-operations/converting-token-amounts.md#shielded-to-native)
* \[\*] [weiToShieldedAmount](/implementation/client-library-sdk/account-less-mode-operations/converting-token-amounts.md#native-to-shielded)
* \[\*] [networkName](/implementation/client-library-sdk/account-less-mode-operations/helpers.md#getting-the-network-chain-name)
* \[\*] [poolId](/implementation/client-library-sdk/account-less-mode-operations/helpers.md#getting-the-pool-identifier)
* \[\*] [getRelayerState](/implementation/client-library-sdk/account-less-mode-operations/getting-the-state.md#getting-relayer-state)
* \[\*] [getRelayerOptimisticState](/implementation/client-library-sdk/account-less-mode-operations/getting-the-state.md#getting-relayer-optimistic-state)
* \[\*] [getPoolState](/implementation/client-library-sdk/account-less-mode-operations/getting-the-state.md#getting-pool-contract-state)
* [getLocalState](/implementation/client-library-sdk/full-mode-operations/account-state.md#getting-the-local-state)
* [rollbackState](/implementation/client-library-sdk/full-mode-operations/account-state.md#rollbacking-the-local-state)
* [cleanState](/implementation/client-library-sdk/full-mode-operations/account-state.md#cleaning-the-local-state)
* [updateState](/implementation/client-library-sdk/full-mode-operations/account-state.md#syncing-the-local-state)
* \[\*] [getLibraryVersion](/implementation/client-library-sdk/account-less-mode-operations/versioning.md#getting-library-version)
* \[\*] [getRelayerVersion](/implementation/client-library-sdk/account-less-mode-operations/versioning.md#getting-relayer-version)
* \[\*] [getProverVersion](/implementation/client-library-sdk/account-less-mode-operations/versioning.md#getting-delegated-prover-version)
* \[\*] [codeForGiftCard](/implementation/client-library-sdk/account-less-mode-operations/gift-cards.md#encoding-gift-card-parameters)
* \[\*] [giftCardFromCode](/implementation/client-library-sdk/account-less-mode-operations/gift-cards.md#decoding-gift-card-code)
* [getStatFullSync](/implementation/client-library-sdk/full-mode-operations/other-routines.md#getting-the-full-state-sync-statistic)
* [getAverageTimePerTx](/implementation/client-library-sdk/full-mode-operations/other-routines.md#getting-average-sync-time)
* [directDepositContract](/implementation/client-library-sdk/full-mode-operations/direct-deposits.md#getting-direct-deposit-contract)
* \[\*] [tokenSellerContract](/implementation/client-library-sdk/account-less-mode-operations/helpers.md#getting-token-seller-contract)
* \[\*] [getState](/implementation/client-library-sdk/account-less-mode-operations/client-library-status.md#getting-the-client-state)
* \[\*] [getProgress](/implementation/client-library-sdk/account-less-mode-operations/client-library-status.md#getting-the-client-continuous-state-progress)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zkbob.com/implementation/client-library-sdk/full-functions-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
